Media

Describe project media usage

GET
/api/projects/{projectId}/media/{assetId}/usage

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
assetId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
assetId*string
Length1 <= length
active*array<>
history*array<>
auditEventCount*integer
Range0 <= value
Example Request
curl -X GET 'https://postbot.example/api/projects/string/media/string/usage'
Example Response
{
  "assetId": "string",
  "active": [
    {
      "kind": "post",
      "id": "string",
      "postId": "string",
      "publicationId": "string",
      "title": "string",
      "publicationState": "draft",
      "scheduledAt": 0,
      "channelName": "string",
      "locations": [
        "source"
      ]
    }
  ],
  "history": [
    {
      "kind": "post",
      "id": "string",
      "postId": "string",
      "publicationId": "string",
      "title": "string",
      "publicationState": "draft",
      "scheduledAt": 0,
      "channelName": "string",
      "locations": [
        "source"
      ]
    }
  ],
  "auditEventCount": 0
}

Was this page helpful?